package com.sheelapps.swtml.examples.texteditor;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyleRange;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

public class ClearListener implements Listener {
	
	public void handleEvent(Event event) {
		Point sel = TextEditor.getStyledText().getSelectionRange();
		if ((sel != null) && (sel.y != 0)) {
			StyleRange style;
			style = new StyleRange(sel.x, sel.y, null, null, SWT.NORMAL);
			TextEditor.getStyledText().setStyleRange(style);
		}
		TextEditor.getStyledText().setSelectionRange(sel.x + sel.y, 0);
	
	}

	
}
